WP1Heuristics Class Reference

`#include <WP1Heuristics.h>`

## Static Public Member Functions

static libwpd::WPDConfidence | isWP1FileFormat (librevenge::RVNGInputStream *input, const char *password=nullptr)
static libwpd::WPDPasswordMatch | verifyPassword (librevenge::RVNGInputStream *input, const char *password)

## Member Function Documentation

## isWP1FileFormat()

WPDConfidence WP1Heuristics::isWP1FileFormat | ( | librevenge::RVNGInputStream * | input,
|  | const char * | password = nullptr )

static

Referenced by libwpd::WPDocument::isFileFormatSupported(), and libwpd::WPDocument::parse().

## verifyPassword()

WPDPasswordMatch WP1Heuristics::verifyPassword | ( | librevenge::RVNGInputStream * | input,
|  | const char * | password )

static

Referenced by libwpd::WPDocument::verifyPassword().

The documentation for this class was generated from the following files:

- WP1Heuristics.h
- WP1Heuristics.cpp